<%@ page contentType="text/html;charset=GBK"%>   
<html>
<head>
<title>屏蔽鼠标键盘功能键、屏蔽鼠标右键、Ctrl+n、shift+F10、F5刷新、退格键</title>
</head>
<body onkeydown="KeyDown()"
oncontextmenu="event.returnValue=false"> 
<script language="Javascript">
<!--
//屏蔽鼠标键盘功能键、屏蔽鼠标右键、Ctrl+n、shift+F10、F5刷新、退格键
function KeyDown(){ 
if ((window.event.altKey)&&
((window.event.keyCode==37)|| //屏蔽 Alt+ 方向键 ←
(window.event.keyCode==39)))
	{ 
	//屏蔽 Alt+ 方向键 →
	alert("不准你使用ALT+方向键前进或后退网页！");
	event.returnValue=false;
	}

if ((event.keyCode==8) || //屏蔽退格删除键
(event.keyCode==116)|| //屏蔽 F5 刷新键
(event.ctrlKey && event.keyCode==82))
	{ 
	//Ctrl + R
	event.keyCode=0;
	event.returnValue=false;
	}
if ((event.ctrlKey)&&(event.keyCode==78)) //屏蔽 Ctrl+n
	event.returnValue=false;
if ((event.shiftKey)&&(event.keyCode==121)) //屏蔽 shift+F10
	event.returnValue=false;
if (window.event.srcElement.tagName == "A" && window.event.shiftKey) 
	window.event.returnValue = false; //屏蔽 shift 加鼠标左键新开一网页
if ((window.event.altKey)&&(window.event.keyCode==115))
	{ //屏蔽Alt+F4
	window.showModelessDialog("about:blank","","dialogWidth:1px;dialogheight:1px");
	return false;}
	}
-->
</script>
<body>
<center>
<table bgcolor="F7FCFE" cellpadding="10">
	<tr valign="top">
		<td><font color=red size="5">屏蔽鼠标键盘功能键、屏蔽鼠标右键、Ctrl+n、shift+F10、F5刷新、退格键</font>
			</td>
		<td></td></tr>	

</table>
</center>
</body>
</html>